Package it.ernytech.tdlib

## Class TdApi.LabeledPricePart

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.LabeledPricePart

Enclosing class:
  TdApi

    public static class TdApi.LabeledPricePart
    extends TdApi.Object

Portion of the price of a product (e.g., "delivery cost", "tax amount").

### Field Summary

Fields
`long` `amount` Currency amount in minimal quantity of the currency.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `label` Label for this portion of the product price.

### Constructor Summary

Constructors
`LabeledPricePart()` Default constructor.
`LabeledPricePart​(java.lang.String label, long amount)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### label

    public java.lang.String label

Label for this portion of the product price.

#### amount

    public long amount

Currency amount in minimal quantity of the currency.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### LabeledPricePart

    public LabeledPricePart()

Default constructor.

#### LabeledPricePart

    public LabeledPricePart​(java.lang.String label,
                            long amount)

Constructor for initialization of all fields.

Parameters:
  `label` - Label for this portion of the product price.
  `amount` - Currency amount in minimal quantity of the currency.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR